export const config = {
  url: process.env.MAIL_URL,
  token: process.env.MAIL_TOKEN,
  host: 'localhost',
  protocol: 'http',
  port: '4200',
  from: 'noreplyinclusionnumerique@grandlyon.com',
  from_name: '[LOCAL] Réseau des acteurs de la médiation numérique',
  replyTo: 'noreplyinclusionnumerique@grandlyon.com',
  templates: {
    directory: './src/mailer/mail-templates',
    verify: {
      ejs: 'verify.ejs',
      json: 'verify.json',
    },
    changeEmail: {
      ejs: 'changeEmail.ejs',
      json: 'changeEmail.json',
    },
    resetPassword: {
      ejs: 'resetPassword.ejs',
      json: 'resetPassword.json',
    },
    adminStructureClaim: {
      ejs: 'adminStructureClaim.ejs',
      json: 'adminStructureClaim.json',
    },
    structureClaimValidation: {
      ejs: 'structureClaimValidation.ejs',
      json: 'structureClaimValidation.json',
    },
    structureOutdatedInfo: {
      ejs: 'structureOutdatedInfo.ejs',
      json: 'structureOutdatedInfo.json',
    },
    apticStructureDuplication: {
      ejs: 'apticStructureDuplication.ejs',
      json: 'apticStructureDuplication.json',
    },
    tempUserRegistration: {
      ejs: 'tempUserRegistration.ejs',
      json: 'tempUserRegistration.json',
    },
    structureJoinRequest: {
      ejs: 'structureJoinRequest.ejs',
      json: 'structureJoinRequest.json',
    },
    adminStructureCreate: {
      ejs: 'adminStructureCreate.ejs',
      json: 'adminStructureCreate.json',
    },
    structureErrorReport: {
      ejs: 'structureErrorReport.ejs',
      json: 'structureErrorReport.json',
    },
    structureModificationNotification: {
      ejs: 'structureModificationNotification.ejs',
      json: 'structureModificationNotification.json',
    },
    structureDeletionNotification: {
      ejs: 'structureDeletionNotification.ejs',
      json: 'structureDeletionNotification.json',
    },
    adminJobCreate: {
      ejs: 'adminJobCreate.ejs',
      json: 'adminJobCreate.json',
    },
    adminEmployerCreate: {
      ejs: 'adminEmployerCreate.ejs',
      json: 'adminEmployerCreate.json',
    },
    contactMessage: {
      ejs: 'contactMessage.ejs',
      json: 'contactMessage.json',
    },
    newApticStructure: {
      ejs: 'newApticStructure.ejs',
      json: 'newApticStructure.json',
    },
  },
};
