import { ApiProperty } from '@nestjs/swagger';

export class PersonalOfferDto {
  /** accompaniments **/
  @ApiProperty({
    description: 'List of procedures accompaniments',
    type: [String],
  })
  proceduresAccompaniment: string[];
  /** trainings **/
  @ApiProperty({
    description: 'List of base skills trainings',
    type: [String],
  })
  baseSkills: string[];
  @ApiProperty({
    description: 'List of access right trainings',
    type: [String],
  })
  accessRight: string[];
  @ApiProperty({
    description: 'List of digital, culture and security trainings',
    type: [String],
  })
  digitalCultureSecurity: string[];
  @ApiProperty({
    description: 'List of social and profressional trainings',
    type: [String],
  })
  socialAndProfessional: string[];
  @ApiProperty({
    description: 'List of parenting help trainings',
    type: [String],
  })
  parentingHelp: string[];
}
