import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type JobDocument = Job & Document;
@Schema()
export class Job {
  @Prop({ required: true })
  name: string;

  @Prop({ required: true, default: true })
  hasPersonalOffer: boolean;

  @Prop({ required: true })
  validated: boolean;
}

export const JobSchema = SchemaFactory.createForClass(Job);
